diff --git a/programs/fileio.c b/programs/fileio.c
index 569a410c1a..f16cbe3859 100644
--- a/programs/fileio.c
+++ b/programs/fileio.c
@@ -572,8 +572,8 @@ static FILE* FIO_openDstFile(FIO_prefs_t* const prefs, const char* srcFileName,
     {   FILE* const f = fopen( dstFileName, "wb" );
         if (f == NULL) {
             DISPLAYLEVEL(1, "zstd: %s: %s\n", dstFileName, strerror(errno));
-        } else {
-            chmod(dstFileName, 00600);
+        } else if(srcFileName != NULL && strcmp (srcFileName, stdinmark)) {
+                chmod(dstFileName, 00600);
         }
         return f;
     }
